package com.ssj.dao.weixin.sales.dao;

import com.ssj.service.conch.teacher.library.dto.AllStudentDto;
import com.ssj.service.conch.teacher.library.dto.StudentDto;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface LibVipServiceQueryDao {

    /**
     * 分页查询有效的作业吧服务
     */
    Page<String> findEffectiveLibVipIdPage(HashMap<String, Object> params, Pageable pageable);
    
    Page<Map<String, Object>> findLibAllUserServiceList(Map<String, Object> searchParams, Pageable pageable);

    /**
     * 查询学生列表用于签到
     */
    List<StudentDto> findStudentList4SignIn(String libId, String studentName, boolean isOpen);

    /**
     * 查询学生列表用于签离
     */
    List<StudentDto> findStudentList4SignOff(String libId, String studentName);

    /**
     * 根据学生id查询学生信息
     */
    StudentDto findByVipId(String vipId);

    List<AllStudentDto> findByVipIdInAndChildNameLike(List<String> vipIdList, String studentName);
}
